## firefox 43.0~linuxmint1+betsy

=== debian/changelog ===
firefox (43.0~linuxmint1+betsy) betsy; urgency=medium

  * 43.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 15 Dec 2015 09:46:07 +0000

firefox (42.0~linuxmint1) betsy; urgency=medium

  * 42.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Nov 2015 09:40:55 +0000

firefox (41.0.2~linuxmint1) betsy; urgency=medium

  * 41.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 17 Oct 2015 13:04:40 +0100

firefox (41.0.1~linuxmint1) betsy; urgency=medium

  * 41.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 06 Oct 2015 09:44:05 +0100

firefox (41.0~linuxmint1) betsy; urgency=medium

  * 41.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Sep 2015 17:38:36 +0100

firefox (40.0~linuxmint3) betsy; urgency=medium

  * 40.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Aug 2015 14:42:31 +0200

firefox (40.0~linuxmint2) betsy; urgency=medium

  * 40.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Aug 2015 13:14:27 +0200

firefox (40.0~linuxmint1) betsy; urgency=medium

  * 40.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Aug 2015 15:18:02 +0200

firefox (39.0.3~linuxmint1) betsy; urgency=medium

  * 39.0.3

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Aug 2015 12:50:37 +0200

firefox (39.0~linuxmint1) betsy; urgency=medium

  * 39.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Jul 2015 07:41:13 +0200

firefox (38.0.1~linuxmint1) betsy; urgency=medium

  * 38.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 May 2015 10:09:54 +0200

firefox (37.0.2~linuxmint1) betsy; urgency=medium

  * 37.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 26 Apr 2015 17:39:28 +0200

firefox (37.0~linuxmint1) betsy; urgency=medium

  * 37.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 31 Mar 2015 21:12:47 +0200

firefox (36.0.4~linuxmint1) betsy; urgency=medium

  * 36.0.4

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 22 Mar 2015 16:14:51 +0100

firefox (36.0.1~linuxmint1) debian; urgency=medium

  * 36.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 08 Mar 2015 17:19:04 +0100

firefox (36.0~linuxmint2) debian; urgency=medium

  * Updated desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Mar 2015 13:40:24 +0100

firefox (36.0~linuxmint1) debian; urgency=medium

  * 36.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Feb 2015 14:41:10 +0100

firefox (35.0~linuxmint1) debian; urgency=medium

  * 35.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Jan 2015 10:28:57 +0100

firefox (34.0.5~linuxmint1) debian; urgency=medium

  * 34.0.5

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 Dec 2014 09:54:18 +0100

firefox (33.1.1~linuxmint1) debian; urgency=medium

  * 33.1.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Nov 2014 20:55:42 +0100

firefox (33.0~linuxmint1) debian; urgency=medium

  * 33.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Oct 2014 19:40:23 +0200

firefox (32.0.3~linuxmint1) debian; urgency=medium

  * 32.0.3

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Oct 2014 09:24:05 +0200

firefox (32.0~linuxmint2) debian; urgency=medium

  * 32.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 Sep 2014 16:05:28 +0200

firefox (31.0~linuxmint1) debian; urgency=medium

  * 31.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Aug 2014 15:18:12 +0200

firefox (30.0~linuxmint1) debian; urgency=medium

  * 30.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 13 Jun 2014 10:04:58 +0100

firefox (29.0~linuxmint1) debian; urgency=low

  * 29.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 May 2014 16:30:24 +0100

firefox (28.0~linuxmint1) debian; urgency=low

  * 28.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Mar 2014 09:50:43 +0000

firefox (27.0~linuxmint1) debian; urgency=low

  * 27.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Feb 2014 10:53:48 +0000

firefox (26.0~linuxmint1) debian; urgency=low

  * 26.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2013 11:07:09 +0000

firefox (25.0~linuxmint1) debian; urgency=low

  * 25.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 30 Oct 2013 11:06:46 +0000

firefox (24.0~linuxmint1) debian; urgency=low

  * 24.0

 -- Frédéric Gaudet <fred@linuxmint.com>  Mon, 23 Sep 2013 10:31:25 +0200

firefox (23.0.1~linuxmint1) debian; urgency=low

  * 23.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 25 Aug 2013 02:33:27 +0100

firefox (21.0~linuxmint2) debian; urgency=low

  * 21.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 14 May 2013 23:59:07 +0100

firefox (20.0~linuxmint1) debian; urgency=low

  * 20.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Apr 2013 10:49:00 +0100

firefox (19.0~linuxmint1) debian; urgency=low

  * 19.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Feb 2013 21:21:05 +0000

firefox (18.0.2~linuxmint3) debian; urgency=low

  * 18.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Feb 2013 13:12:23 +0000

firefox (18.0.2~linuxmint1) debian; urgency=low

  * 18.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Feb 2013 12:31:43 +0000

firefox (18.0.1~linuxmint1) debian; urgency=low

  * 18.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 04 Feb 2013 12:35:11 +0000

firefox (18.0~linuxmint1) debian; urgency=low

  * 18.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 Jan 2013 01:28:35 +0000

firefox (17.0~linuxmint1) debian; urgency=low

  * 17.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 22 Nov 2012 11:37:32 +0000

firefox (14.0.1) debian; urgency=low

  * 14.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 28 Jul 2012 10:40:44 +0000

firefox (12.0) debian; urgency=low

  * 12.0 

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 May 2012 13:05:59 +0000

firefox (11.0-1lmde1) debian; urgency=low

  * 11.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Mar 2012 13:14:19 +0000

firefox (11.0) debian; urgency=low

  * 11.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 24 Mar 2012 22:42:58 +0000



=== debian/control ===
Source: firefox
Section: web
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 5), wget, python, zip, unzip
Standards-Version: 3.7.2

Package: firefox
Architecture: any
Breaks: firefox-l10n-en-us
Replaces: firefox-l10n-en-us, firefox-l10n-fr, firefox-l10n-af, firefox-l10n-ar, firefox-l10n-be, firefox-l10n-bg, firefox-l10n-eu, firefox-l10n-bn-bd, firefox-l10n-sq, firefox-l10n-ca, firefox-l10n-cs, firefox-l10n-da, firefox-l10n-de, firefox-l10n-el, firefox-l10n-en-gb, firefox-l10n-eo, firefox-l10n-et, firefox-l10n-fi, firefox-l10n-fy, firefox-l10n-gl, firefox-l10n-gu, firefox-l10n-he, firefox-l10n-hi, firefox-l10n-hr, firefox-l10n-hu, firefox-l10n-id, firefox-l10n-is, firefox-l10n-it, firefox-l10n-ja, firefox-l10n-kn, firefox-l10n-ko, firefox-l10n-lt, firefox-l10n-lv, firefox-l10n-nl, firefox-l10n-zh, firefox-l10n-es, firefox-l10n-fa, firefox-l10n-nb, firefox-l10n-nn, firefox-l10n-pl, firefox-l10n-pt-br, firefox-l10n-pt, firefox-l10n-ro, firefox-l10n-ru, firefox-l10n-sk, firefox-l10n-sl, firefox-l10n-sr, firefox-l10n-sv, firefox-l10n-th, firefox-l10n-tr, firefox-l10n-uk
Provides: gnome-www-browser, www-browser
Description: The Firefox web browser
 The Mozilla Firefox Web Browser.

Package: firefox-l10n-fr
Architecture: any
Description: French language packs for Firefox
 French language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-af
Architecture: any
Description: Afrikaans language packs for Firefox
 Afrikaans language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-ar
Architecture: any
Description: Arabic language packs for Firefox
 Arabic language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-be
Architecture: any
Description: Belarusian language packs for Firefox
 Belarusian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-bg
Architecture: any
Description: Bulgarian language packs for Firefox
 Bulgarian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-eu
Architecture: any
Description: Basque language packs for Firefox
 Basque language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-bn-bd
Architecture: any
Description: Bengali-Bengladesh language packs for Firefox
 Bengali-Bengladesh language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-sq
Architecture: any
Description: Albanian language packs for Firefox
 Albanian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-ca
Architecture: any
Description: Catalan language packs for Firefox
 Catalan language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-cs
Architecture: any
Description: Czech language packs for Firefox
 Czech language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-da
Architecture: any
Description: Danish language packs for Firefox
 Danish language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-de
Architecture: any
Description: German language packs for Firefox
 German language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-el
Architecture: any
Description: Greek language packs for Firefox
 Greek language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-en-gb
Architecture: any
Description: British language packs for Firefox
 British language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-eo
Architecture: any
Description: Esperanto language packs for Firefox
 Esperanto language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-et
Architecture: any
Description: Estonian language packs for Firefox
 Estonian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-fi
Architecture: any
Description: Finnish language packs for Firefox
 Finnish language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-fy
Architecture: any
Description: Frysian language packs for Firefox
 Frysian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-gl
Architecture: any
Description: Galician language packs for Firefox
 Galician language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-gu
Architecture: any
Description: Gujarati language packs for Firefox
 Gujarati language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-he
Architecture: any
Description: Hebrew language packs for Firefox
 Hebrew language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-hi
Architecture: any
Description: Hindi language packs for Firefox
 Hindi language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-hr
Architecture: any
Description: Croatian language packs for Firefox
 Croatian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-hu
Architecture: any
Description: Hungarian language packs for Firefox
 Hungarian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-id
Architecture: any
Description: Indonesian language packs for Firefox
 Indonesian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-is
Architecture: any
Description: Icelandic language packs for Firefox
 Icelandic language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-it
Architecture: any
Description: Italian language packs for Firefox
 Italian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-ja
Architecture: any
Description: Japanese language packs for Firefox
 Japanese language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-kn
Architecture: any
Description: Kannada language packs for Firefox
 Kannada language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-ko
Architecture: any
Description: Korean language packs for Firefox
 Korean language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-lt
Architecture: any
Description: Lithuanian language packs for Firefox
 Lithuanian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-lv
Architecture: any
Description: Latvian language packs for Firefox
 Latvian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-nl
Architecture: any
Description: Dutch language packs for Firefox
 Dutch language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-zh
Architecture: any
Description: Chinese language packs for Firefox
 Chinese language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-es
Architecture: any
Description: Spanish language packs for Firefox
 Spanish language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-fa
Architecture: any
Description: Persian language packs for Firefox
 Persian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-nb
Architecture: any
Description: Bokmal language packs for Firefox
 Bokmal language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-nn
Architecture: any
Description: Nynorsk language packs for Firefox
 Nynorsk language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-pl
Architecture: any
Description: Polish language packs for Firefox
 Polish language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-pt-br
Architecture: any
Description: Portuguese Brazilian language packs for Firefox
 Portuguese Brazilian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-pt
Architecture: any
Description: Portuguese language packs for Firefox
 Portuguese language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-ro
Architecture: any
Description: Romanian language packs for Firefox
 Romanian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-ru
Architecture: any
Description: Russian language packs for Firefox
 Russian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-sk
Architecture: any
Description: Slovak language packs for Firefox
 Slovak language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-sl
Architecture: any
Description: Slovenian language packs for Firefox
 Slovenian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-sr
Architecture: any
Description: Serbian language packs for Firefox
 Serbian language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-sv
Architecture: any
Description: Swedish language packs for Firefox
 Swedish language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-th
Architecture: any
Description: Thai language packs for Firefox
 Thai language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-tr
Architecture: any
Description: Turkish language packs for Firefox
 Turkish language packs for the Mozilla Firefox Web Browser.

Package: firefox-l10n-uk
Architecture: any
Description: Ukrainian language packs for Firefox
 Ukrainian language packs for the Mozilla Firefox Web Browser.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

DEB_VERSION=$(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	rm -rf $(CURDIR)/debian/firefox*
	$(CURDIR)/download.py $(DEB_HOST_ARCH) $(CURDIR) $(DEB_VERSION)
	cp -r $(CURDIR)/usr $(CURDIR)/debian/firefox/
	find $(CURDIR)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	#dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## firefox 44.0+build3

=== debian/changelog ===
firefox (44.0+build3-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_44_0_BUILD3)
    - see USN-2880-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/support-coinstallable-trunk-builds.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Amazon has been dropped from the Turkish language pack. Update
    debian/config/searchplugins.conf accordingly

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 23 Jan 2016 00:03:36 +0000

firefox (43.0.4+build3-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_43_0_4_BUILD3)
    - Fix LP: #1527884 - Downloads fail in multi-user environments

  * Refresh debian/patches/ubuntu-ua-string-changes.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 05 Jan 2016 22:42:11 +0000

firefox (43.0+build1-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_43_0_BUILD1)
    - see USN-2833-1

  * Refresh patches
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/unity-menubar.patch
  * Remove patches fixed upstream
    - remove debian/patches/dont-hardcode-softfp-on-armhf.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 10 Dec 2015 00:46:08 +0000

firefox (42.0+build2-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream release from the beta channel (FIREFOX_42_0_BUILD2)
    - see USN-2785-1

  * Refresh patches
    - update debian/patches/dont-override-general-useragent-locale.patch
    - update debian/patches/unity-menubar.patch
  * Update unity-menubar.patch to work with GTK3
  * Install compare-locales in to the virtualenv with --old-and-unmanageable -
    the fix for bmo: #1188224 is incompatible with zipped eggs
  * Turn on the crash reporter again

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 28 Oct 2015 09:57:43 +0000

firefox (41.0.2+build2-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_41_0_2_BUILD2)
    - see USN-2768-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 14 Oct 2015 09:53:36 +0100

firefox (41.0.1+build2-0ubuntu0.15.04.2) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_41_0_1_BUILD2)
    - see USN-2743-4 and LP: #1501277

  * Disable the crash reporter as symbol uploads are currently broken. This
    means that Apport will be catching crashes for now

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 01 Oct 2015 18:08:22 +0100

firefox (41.0+build3-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_41_0_BUILD3)
    - see USN-2743-1

  * Refresh patches
    - update debian/patches/ubuntu-bookmarks.patch
    - update debian/patches/normalize-distribution-searchplugins.patch
    - update debian/patches/dont-override-general-useragent-locale.patch
  * Drop backout-bmo1162569.patch and update how we install our distribution
    searchplugins
    - update debian/build/rules.mk
    - add debian/config/searchplugins.conf
    - add debian/install-distribution-searchplugins.py
    - remove debian/patches/backout-bmo1162569.patch
    - update debian/patches/series
    - update debian/rules
    - remove all manifest files from debian/searchplugins

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 18 Sep 2015 09:44:50 +0100

firefox (40.0.3+build1-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_40_0_3_BUILD1)
    - see USN-2723-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 26 Aug 2015 19:10:54 +0100

firefox (40.0+build4-0ubuntu0.15.04.4) vivid-security; urgency=medium

  * Disable geo-specific search defaults, and clean up profiles that have
    been inadvertently switched to the wrong search default (LP: #1485741)
    - add debian/patches/disable-geo-specific-search-defaults-for-us.patch
    - add debian/patches/cleanup-geo-specific-search-defaults.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 18 Aug 2015 15:06:51 +0100

firefox (40.0+build4-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_40_0_BUILD4)
    - see USN-2702-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/normalize-distribution-searchplugins.patch
  * Add backout-bmo1162569.patch to temporarily backout shipping search
    engines in the omni.ja, until we've fixed the packaging and verified
    our search engine overrides work

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 04 Aug 2015 11:46:23 +0100

firefox (39.0+build5-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_39_0_BUILD5)
    - see USN-2656-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Bundle our checkout of compare-locales in a different location, given
    that the Mozilla repo now contains a different version of it in the
    location we used previously
    - update debian/build/rules.mk
    - update debian/build/create-tarball.py

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 29 Jun 2015 11:47:44 +0100

firefox (38.0+build3-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_38_0_BUILD3)
    - see USN-2602-1

  * Refresh patches
    - update debian/patches/ubuntu-bookmarks.patch
    - update debian/patches/unity-menubar.patch
  * Drop patches fixed upstream
    - remove debian/patches/add-non-skia-fallback.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 06 May 2015 10:56:03 +0100

=== debian/control ===
# vim:noexpandtab:
Source: firefox
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.vivid
Build-Depends: cdbs,
	locales,
	debhelper (>= 7),
	autotools-dev,
	autoconf2.13,
	quilt,
	zip,
	libx11-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libgconf2-dev (>= 1.2.1),
	libgnomeui-dev (>= 2.2.0),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	libgstreamer1.0-dev | libgstreamer0.10-dev,
	libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,
	hardening-wrapper,
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev (>= 0.4),
	libxrender-dev,
	libpulse-dev,
	yasm (>= 1.1),
	unzip,
	dbus-x11,
	xvfb,
	python (>= 2.7),
	libffi-dev (>= 3.0.9) [arm64]
Standards-Version: 3.9.1
#XS-Testsuite: autopkgtest

Package: firefox
Architecture: any
Depends: lsb-release,
	${misc:Depends},
	${shlibs:Depends}
Recommends: xul-ext-ubufox,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk4
Provides: www-browser,
	iceweasel,
	gnome-www-browser,
	${app:Provides}
Suggests: fonts-lyx,
	${support:Suggests}
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: firefox-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	firefox (= ${binary:Version})
Provides: ${app:Provides}
Conflicts: ${app:Conflicts},
Description: Safe and easy web browser from Mozilla - debug symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the debugging symbols for the Firefox web
 browser

Package: firefox-dev
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	firefox (= ${binary:Version})
Provides: ${app:Provides}
Conflicts: xulrunner-2.0-dev,
	xulrunner-1.9.2-dev,
	xulrunner-1.9-dev,
	${app:Conflicts}
Description: Safe and easy web browser from Mozilla - development files
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the headers and SDK for building plugins with Firefox

Package: firefox-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends},
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - Breakpad symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: firefox-testsuite
Architecture: any
Section: misc
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	firefox (= ${binary:Version}),
	firefox-locale-af (= ${binary:Version}), firefox-locale-an (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-az (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hsb (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-ms (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-uz (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-xh (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
	python,
	dbus-x11,
	xvfb,
	make,
	notify-osd,
	metacity,
	language-pack-en-base,
	language-pack-es-base,
	language-pack-fr-base,
	language-pack-pt-base,
	fonts-arabeyes,
	fonts-kacst,
	fonts-takao-mincho,
	fonts-takao-gothic,
	fonts-wqy-zenhei | ttf-wqy-zenhei,
	fonts-arphic-uming,
	fonts-arphic-ukai | ttf-arphic-ukai,
	fonts-nanum,
	fonts-nanum-coding,
	fonts-unfonts-core,
	fonts-liberation,
	gnome-session,
	gnome-settings-daemon,
	ubuntu-settings,
	light-themes,
	unzip,
	hunspell-en-us,
	libgl1-mesa-dri
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - testsuite
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox testsuite

# Transitional packages below here

# Can be dropped after 14.04
Package: firefox-globalmenu
Architecture: any
Section: oldlibs
Priority: extra
Depends: firefox,
	${misc:Depends}
Description: Safe and easy web browser from Mozilla (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: firefox-locale-af
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-af-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Afrikaans language pack for Firefox
 This package contains Afrikaans translations and search plugins
 for Firefox

Package: firefox-locale-an
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-an-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Aragonese language pack for Firefox
 This package contains Aragonese translations and search plugins
 for Firefox

Package: firefox-locale-ar
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ar-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Arabic language pack for Firefox
 This package contains Arabic translations and search plugins
 for Firefox

Package: firefox-locale-as
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-as-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Assamese language pack for Firefox
 This package contains Assamese translations and search plugins
 for Firefox

Package: firefox-locale-ast
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ast-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Asturian language pack for Firefox
 This package contains Asturian translations and search plugins
 for Firefox

Package: firefox-locale-az
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-az-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Azerbaijani language pack for Firefox
 This package contains Azerbaijani translations and search plugins
 for Firefox

Package: firefox-locale-be
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-be-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Belarusian language pack for Firefox
 This package contains Belarusian translations and search plugins
 for Firefox

Package: firefox-locale-bg
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bg-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bulgarian language pack for Firefox
 This package contains Bulgarian translations and search plugins
 for Firefox

Package: firefox-locale-bn
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bn-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bengali language pack for Firefox
 This package contains Bengali translations and search plugins
 for Firefox

Package: firefox-locale-br
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-br-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Breton language pack for Firefox
 This package contains Breton translations and search plugins
 for Firefox

Package: firefox-locale-bs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bs-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bosnian language pack for Firefox
 This package contains Bosnian translations and search plugins
 for Firefox

Package: firefox-locale-ca
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ca-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Catalan; Valencian language pack for Firefox
 This package contains Catalan; Valencian translations and search plugins
 for Firefox

Package: firefox-locale-cs

=== debian/rules ===
#!/usr/bin/make -f

MOZ_PKG_BASENAME	:= firefox

include $(CURDIR)/debian/build/config.mk

MOZ_APP			:= browser
MOZ_VENDOR		:= Mozilla
MOZ_MOZDIR		:=

MOZ_APP_SUBDIR	:= browser

MOZ_BRANDING		:= $(CHANNEL)
ifneq (,$(filter release beta, $(MOZ_BRANDING)))
MOZ_BRANDING		:= official
endif
ifeq (1,$(MOZ_FORCE_UNOFFICIAL_BRANDING))
ifneq (,$(filter official aurora, $(MOZ_BRANDING)))
MOZ_BRANDING		:= unofficial
endif
endif
MOZ_BRANDING_DIR 	:= $(MOZ_APP)/branding/$(MOZ_BRANDING)
ifeq (official,$(BRANDING))
MOZ_BRANDING_OPTION	:= --enable-official-branding
else
MOZ_BRANDING_OPTION	:= --with-branding=$(MOZ_BRANDING_DIR)
endif

MOZ_PKGNAME_SUBST_FILES = \
	debian/usr.bin.$(MOZ_PKG_NAME) \
	debian/README.Debian \
	debian/$(MOZ_PKG_NAME)-locale.preinst \
	debian/$(MOZ_PKG_BASENAME).sh \
	debian/apport/blacklist \
	debian/apport/native-origins \
	debian/apport/source_$(MOZ_PKG_NAME).py \
	debian/testing/run_mochitest \
	debian/testing/run_reftest \
	$(NULL)

MOZ_APPNAME_SUBST_FILES = \
	debian/$(MOZ_APP_NAME).1 \
	$(NULL)

MOZ_PKGCONFIG_FILES = \
	debian/pkgconfig/mozilla-plugin.pc \
	$(NULL)

include $(CURDIR)/debian/build/rules.mk

#MOZ_EXECUTABLES_$(MOZ_PKG_NAME)-testsuite =	$(MOZ_LIBDIR)/testing/run_mochitest \
						$(MOZ_LIBDIR)/testing/run_reftest \
						$(MOZ_LIBDIR)/testing/run_xpcshell_tests \
						$(MOZ_LIBDIR)/xpcshell \
						$(MOZ_LIBDIR)/testing/filter_results \
						$(NULL)

debian/usr.bin.firefox.in:
	if [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1410' ]; then \
		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.14.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
	elif [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1310' ]; then \
		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.13.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
	else \
		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.12.04 $(CURDIR)/debian/usr.bin.firefox.in ; \
	fi

ifeq (firefox, $(MOZ_APP_NAME))
ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
PLUGIN_BREAKS := flashplugin-installer (<= 11.1.102.63ubuntu1), adobe-flashplugin (<= 11.1.102.63-0precise1)
PLUGIN_CONFLICTS := gcu-plugin (<= 0.12.10-1ubuntu1)
endif
endif

WRITE_SUBSTVARS = $(shell echo "$(2)=$(3)" | sed 's/[ \t\n]\+/ /g' >> debian/$(1).substvars)

ifeq (firefox, $(MOZ_PKG_NAME))
ifeq (,$(filter precise, $(DISTRIB_CODENAME)))
install/firefox::
	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,kubuntu-firefox-installer)
else
FIREFOX_REPLACES = abrowser, abrowser-branding, firefox-branding, kubuntu-firefox-installer
FIREFOX_BREAKS = abrowser (<= 4.0~b11+build3+nobinonly-0ubuntu1), abrowser-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), \
		 firefox-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), $(PLUGIN_BREAKS)
install/firefox::
	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,$(FIREFOX_REPLACES))
	$(call WRITE_SUBSTVARS,firefox,transitional:Breaks,$(FIREFOX_BREAKS))
	$(call WRITE_SUBSTVARS,firefox,transitional:Conflicts,$(PLUGIN_CONFLICTS))
endif
endif

binary-post-install/$(MOZ_PKG_NAME):: install-distribution-searchplugins-$(MOZ_PKG_NAME)

$(patsubst %,binary-post-install/%,$(MOZ_LOCALE_PKGS)):: binary-post-install/%: install-webapprt-langpack-links-% install-distribution-searchplugins-%

install-webapprt-langpack-links-%: XPIS = $(notdir $(wildcard debian/$*/$(MOZ_ADDONDIR)/extensions/*.xpi))
install-webapprt-langpack-links-%:
	$(foreach xpi,$(XPIS),dh_link -p$* $(MOZ_ADDONDIR)/extensions/$(xpi) $(MOZ_LIBDIR)/webapprt/extensions/$(xpi);)

$(patsubst %,install-distribution-searchplugins-%,$(MOZ_LOCALE_PKGS) $(MOZ_PKG_NAME)) :: install-distribution-searchplugins-% :
	@echo ""
	@echo "Installing distribution searchplugins for $*"
$(patsubst %,install-distribution-searchplugins-%,$(MOZ_LOCALE_PKGS) $(MOZ_PKG_NAME)) :: install-distribution-searchplugins-% : install-distribution-searchplugins-IMPL-%
$(patsubst %,install-distribution-searchplugins-%,$(MOZ_LOCALE_PKGS) $(MOZ_PKG_NAME)) :: install-distribution-searchplugins-% :
	@echo ""

install-distribution-searchplugins-IMPL-%:
	$(foreach lang,$(call locales_for_langpack,$*), \
		python debian/install-distribution-searchplugins.py -c debian/config/searchplugins.conf -l $(lang) -u $(firstword $(wildcard $(MOZ_DISTDIR)/xpi-stage/locale-$(lang)/browser/chrome/$(lang)/locale/browser/searchplugins) $(MOZ_DISTDIR)/bin/browser/chrome/en-US/locale/browser/searchplugins) -d debian/$*/$(MOZ_LIBDIR)/distribution/searchplugins/locale/$(lang) -s debian/searchplugins;)

make-langpack-preinsts:: $(foreach langpack,$(MOZ_LOCALE_PKGS),debian/$(langpack).preinst)
$(patsubst %,debian/%.preinst,$(MOZ_LOCALE_PKGS)) :: debian/%.preinst : debian/$(MOZ_PKG_NAME)-locale.preinst
	cp $< $@

pre-build:: make-langpack-preinsts

clean::
	rm -f debian/$(MOZ_PKG_NAME)-locale-*.preinst
	rm -f debian/usr.bin.firefox.in

.PHONY: make-langpack-preinsts

## firefox 45.0.2+build1

=== testing/taskcluster/requirements.txt ===
pystache == 0.5.4
PyYAML == 3.11
slugid == 1.0.6

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.vivid
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.wily
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 7),
@@ -129,7 +129,7 @@
 Depends: ${shlibs:Depends},
 	${misc:Depends},
 	firefox (= ${binary:Version}),
-	firefox-locale-af (= ${binary:Version}), firefox-locale-an (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-az (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hsb (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-ms (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-uz (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-xh (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
+	firefox-locale-af (= ${binary:Version}), firefox-locale-an (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-az (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gn (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hsb (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-ms (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-uz (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-xh (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
 	python,
 	dbus-x11,
 	xvfb,
@@ -300,6 +300,3 @@
 Provides: ${app:Provides}
 Description: Catalan; Valencian language pack for Firefox
  This package contains Catalan; Valencian translations and search plugins
- for Firefox
-
-Package: firefox-locale-cs

=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,15 @@
 MOZ_PKGCONFIG_FILES = \
 	debian/pkgconfig/mozilla-plugin.pc \
 	$(NULL)
+
+ifeq (1,${MOZ_OFFICIAL_BUILD})
+export MOZILLA_OFFICIAL=1
+endif
+ifeq (1,${MOZ_ENABLE_TELEMETRY})
+export MOZ_TELEMETRY_REPORTING=1
+export MOZ_SOURCE_REPO=${MOZILLA_REPO}
+export MOZ_SOURCE_CHANGESET=$(shell cat $(DEB_SRCDIR)/SOURCE_CHANGESET)
+endif
 
 include $(CURDIR)/debian/build/rules.mk
